#!/usr/bin/env python

import os
import sys

import oifits
import jd
import astropy.time

for infile in sys.argv[1:]:

    obj = oifits.open(infile)
#    obj.info()

    outfile = os.path.basename(infile).replace("fits", "dat")
    fout = open("dat/" + outfile, "w")
    fout.write("# JD_UTC & u1coord [m] & v1coord [m] & u2coord [m] & v2coord [m] & eff_wave [m] & eff_band [m] & t3amp & t3amperr & t3phi [deg] & t3phierr [deg]\n")

    for t3 in obj.t3:
        if t3.target.target == "FKV0123":
            fout.write("# %s\n" % (t3))
            fout.write("# %s\n" % (t3.target))

            utc = t3.timeobs  # i.e. datetime object
            jd_utc = jd.jd(utc.year, utc.month, utc.day + utc.hour/24. + utc.minute/1440. + (utc.second + utc.microsecond/1.e6)/86400.)

            for i in xrange(len(t3.wavelength.eff_wave)):
                if t3.t3amp[i] != "--":
                    fout.write("%22.8f    %16.8e %16.8e %16.8e %16.8e    %16.8e %16.8e    %16.8e %16.8e %16.8e %16.8e\n" % (jd_utc, t3.u1coord, t3.v1coord, t3.u2coord, t3.v2coord, t3.wavelength.eff_wave[i], t3.wavelength.eff_band[i], t3.t3amp[i], t3.t3amperr[i], t3.t3phi[i], t3.t3phierr[i]))

    fout.close()


